ChiliProject - Task # 113: Install gitolite for hosting the chiliproject.org repositories

Status: Open Priority: Normal

Author: Eric Davis Category: ChiliProject - Organization

Created: 2011-01-31 Assignee: Muntek Singh

Updated: 2011-05-20 Due date:

Remote issue URL:

Description: Right new we just have two repos in the chiliproject's home directory. We should probably setup gitolite (or

similar) so we can have people contribute code for the site without having full shell access.

Let me know once the repos are setup and I'll push the current site into them and change the cap script.

* chiliproject-app.git - main code repo.

* redmine_chiliproject.git - plugin of the custom code we run here. (Should eventually end up being mirrored

on Github)

History

2011-02-01 10:49 pm - Felix Schafer
- Status set to Open

2011-05-18 12:24 am - Muntek Singh

Do we still need this, should | set this up now?

2011-05-20 05:46 pm - Eric Davis

Or we could bug github for a few private repos. Would need 4-5 repos and enough collaborators for all the Systems team.

(4-5: 1 for app, 1 for our custom plugin, few more extra for temporary security forks)

2011-05-20 08:03 pm - Felix Schéafer

Github works for me, and we wouldn't need to take care of it ourselves, so seconded.
